#include<stdio.h>
long a[20001];
main()
{
	long n,i,k,br;
//	printf("unesi broj karti \n");
	scanf("%ld", &n);
//	printf("unesi kartu koju je on video \n");
	scanf("%ld", &k);
	for(i=0;i<n;i++)
	{
	//	printf("unesi sledeci element niza\n");
		scanf("%ld", &a[i]);
	}
	for(i=0;i<n;i++)
	{
	//	printf("element niza je %d\n", a[i]);
	}
	for(i=0;i<n;i++)
	{
		if(k==a[i])
		{
		//	printf("usao sam u if \n");
			if(i==n-1)
			{
			//	printf("usao sam u if i==k-1 \n");
				printf("%ld", a[0]);
				break;
			
				
			}
			else
			{
			//	printf("usao sam u drugi if \n");
				printf("%ld", a[i+1]);
				break;
			}
		}
	}
}